Fatal Error: powermail 1.6.10 und wt_spamshield 1.x

Dank des TYPO3 Security Teams und dem Powermail Entwicklerteam wurde eine Sicherheitslücke in Powermail gefunden und behoben, mit dem Update 1.6.10. Das freut mich, dass die 1-er Version von Powermail noch supportet wird – zumindest was Sicherheitslücken angeht.

Ich setze das alte Powermail immer noch bei bestehenden TYPO3-Installationen in Kombi mit wt_spamshield ein. (Die Spamshield-Funktion ist im neuen Powermail ab 2.0 bereits integriert.) Nun gibts für wt_spamshield auch ein Update (nicht Sicherheitsrelevant). Allerdings wurde mit dem Update (ab Version 1.0.0) das XClassing verändert, damit kollidiert das alte Powermail:

Fatal error: Class ‚t3lib_l10n_parser_Llxml‘ not found in /html/typo3/t3lib/class.t3lib_div.php on line 5376

Lösung: wt_spamshield bis Version 0.9.0 einsetzen, in Kombi mit dem alten Powermail 1.6.10+

Download wt_spamshield_0.9.0 zur manuellen Installation.

System: TYPO3 4.5.27, PHP 5.3, Provider Mittwald
Installierte Extensions: tt_news, kulo_player, realurl, sourceopt, ve_guestbook, indexed_search, autometa, forcerealurls, we_google_analytics, weeaar_googlesitemap, powermail, wt_spamshield, scriptmerger

zur manuellen Installation

3 Responses to “Fatal Error: powermail 1.6.10 und wt_spamshield 1.x”

  1. Marc said:

    Jun 17, 13 at 14:20

    Danke für deinen Hinweis. Jetzt hat es bei mir auch geklappt.

  2. Tanja Schweizer said:

    Jul 10, 13 at 20:58

    Hallo, hat du denn das Update manuell ausgeführt und kannst du mal den Link zum Update posten? Wir bekommen hier nämlich eine Fehlermeldung. Viele Grüße

  3. René said:

    Jul 11, 13 at 11:12

    Je nach TYPO3 Version kann im Extension-Manager die Version einer Extension zum Installieren ausgewählt werden:

    – Extension suchen
    – rechts Klick auf Extensiontitel, es erscheint sinngemäß „Version zur Installation auswählen“ > Klick
    – dann im Drop-Down Version auswählen und bestehende Version überschreiben..

    Und ich habe mal den Downloadlink wt_spamshield Version 0.9.0 ergänzt.


Hinterlasse einen Kommentar